## railcontrol 23%2Bdfsg1

=== debian/changelog ===
railcontrol (23+dfsg1-3) unstable; urgency=medium

  * Display distribution logo in the lower left corner of the web interface
    + Depend on desktop-base which provides that distribution logo
    + Document in README.Debian that the removed clock was non-DFSG
  * Fix typo in previous changelog entry

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 28 Feb 2025 04:57:08 +0100

railcontrol (23+dfsg1-2) unstable; urgency=medium

  * Declared compliance with Standards Version 4.7.1. No changes were required.
  * Documented in manpage where a template configuration file is located.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 22 Feb 2025 06:45:24 +0100

railcontrol (23+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #1076247)

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 08 Feb 2025 09:26:36 +0100
