=== debian/control ===
Source: railcontrol
Section: misc
Priority: optional
Maintainer: Bruno Kleinert <fuddl@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libsqlite3-dev,
 zlib1g-dev,
# Pandoc is for transforming debian/railcontrol.md into a manpage
 pandoc,
Standards-Version: 4.7.1
Homepage: https://www.railcontrol.org/
Vcs-Browser: https://salsa.debian.org/fuddl/railcontrol
Vcs-Git: https://salsa.debian.org/fuddl/railcontrol.git

Package: railcontrol
Architecture: any
Depends:
 desktop-base,
 ${shlibs:Depends},
 ${misc:Depends},
Description: A software for model railway control
 The handling is done with a webbrowser on the device of your choice. You can
 either control your trains, switches, signals manually or have the computer
 control your layout automatically.
 .
 The following controls are supported:
 * Arduino DCC-EX (formerly DCC++EX formerly DCC++)
 * CAN-Digital-Bahn CC-Schnitte 2.1
 * Digikejis DR5000
 * ESU Central Station Reloaded (beta)
 * ESU ECoS (beta)
 * Fleischmann Twin-Center
 * Gerhard Bertelsmann SRSE II (configured as Märklin CS2)
 * KM-1 System Control 7
 * LDT HSI-88 (RS-232-version only)
 * Märklin Central Station 1
 * Märklin Central Station 2
 * Märklin Central Station 3
 * Märklin Onterface 6050/6051
 * OpenDCC Z1
 * Roco Z21/z21
 * Tams Master Control
 * Tams Master Control 2
 * Tams Red Box
 * Uhlenbrock Adapter 63120
 * Uhlenbrock Adapter 63820
 * Uhlenbrock Intellibox
 * Uhlenbrock Intellibox II
