=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

execute_before_dh_installman:
	pandoc --standalone --from=markdown --to=man --output=debian/railcontrol.1 debian/railcontrol.md

execute_after_dh_clean:
	rm -f debian/railcontrol.1

download-missing-sources:
	curl --output debian/missing-sources/nosleep.js https://raw.githubusercontent.com/richtr/NoSleep.js/v0.12.0/dist/NoSleep.js
