## railcontrol 24%2bdfsg1

=== debian/changelog ===
railcontrol (24+dfsg1-8) unstable; urgency=medium

  * Picked upstream development commits to get cmake build working:
    + Added 0001-Improve-build-toolchain-12.patch
    + Added
      0002-Allow-building-with-sqlite3-and-zlib-as-system-libraries-15.patch
      and replace link-against-system-sqlite.patch and
      link-against-system-zlib.patch
    + Added 0003-Support-packaging-using-CPack-18.patch
    + Added 0001-Check-if-stdin-is-a-tty-23.patch and replace
      check-if-stdin-is-a-tty.patch
    + Updated upstream copyright information
  * Added build dependency on cmake and dh-cmake and also build with cmake
  * Added disable-update-check.patch to remove the update checks completely
  * Added fix-cmake-installation.patch to complete the installation targets
    for cmake
  * Updated README.source to reflect the usage of the cmake switch to turn on
    system library linking

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 12 Jan 2026 10:44:26 +0100

railcontrol (24+dfsg1-7) unstable; urgency=medium

  * Made the systemd service railcontrol.service log to the systemd journal
    + Updated README.Debian accordingly
    + Execute railcontrol no longer with --daemonize parameter
  * Added check-if-stdin-is-a-tty.patch to avoid 100% core load when stdin is
    a link to /dev/null
  * Declared compliance with Standards Version 4.7.3: Removed Priority field
    from debian/control, as 'Priority: optional' is redundant, now.

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 09 Jan 2026 08:21:19 +0100

railcontrol (24+dfsg1-6) unstable; urgency=medium

  * Upload to unstable
  * Highlighted peculiarities of Debian's railcontrol.service even more in
    README.Debian

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 08 Dec 2025 18:40:22 +0100

railcontrol (24+dfsg1-5) experimental; urgency=medium

  * Removed obsolete dependency on desktop-base
  * Delete state directory /var/lib/railcontrol when the package is purged
  * Create system user and group _railcontrol in maintainer scripts to comply
    with the Debian policy. It was Debian-railcontrol before. Maintainer
    scripts do not do any renaming magic as this would only affect users of
    experimental!

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 03 Dec 2025 06:49:58 +0100

railcontrol (24+dfsg1-4) experimental; urgency=medium

  * Integrated with systemd
    + Added NEWS.Debian
    + Updated README.Debian accordingly
    + Added dependency on package adduser to binary package
    + Added maintainer scripts
    + Updated debian/rules to install systemd service in deactiveted state by
      default
  * Removed obsolete section 'Clock is not shown' from README.Debian

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 27 Nov 2025 13:51:42 +0100

railcontrol (24+dfsg1-3) experimental; urgency=medium

  * Upload to experimental including the 'Counter' feature preview
    + Added 0001-Clean-up-code.patch and 0002-Object-counter-added.patch

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 24 Nov 2025 15:29:36 +0100

railcontrol (24+dfsg1-2) unstable; urgency=medium

  * Harden build (Closes: #1119544)
    + Added read-compiler-flags-from-environment.patch
  * Fixed drop-in-versioncpp.patch to report version 24

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 23 Nov 2025 13:47:16 +0100

railcontrol (24+dfsg1-1) unstable; urgency=medium

  * New upstream release
    + Removed obsolete clock_rewritten.patch, license issue solved upstream.
      Also removed obsolete linkage of distro logo which was used to replace
      the clock in previouse revisions. Removed respective section from
      README.source.
    + Removed remove-trailing-semicolon-in-default-config.patch, merged
      upstream.
    + Refreshed fix-paths.patch
    + Refreshed link-against-system-sqlite.patch
    + Refreshed link-against-system-zlib.patch
    + Updated upstream copyright years
  * Declared compliance with Standards Version 4.7.2
  * Added missing contributor to upstream authors

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 01 May 2025 05:20:04 +0200

railcontrol (23+dfsg1-5) unstable; urgency=medium

  * Updated clock_rewritten.patch to fix memory consumption of web browsers

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 28 Mar 2025 18:33:25 +0100

railcontrol (23+dfsg1-4) unstable; urgency=medium

  * Picked upstream patches to include a DFSG compliant clock in the web
    interface
    + Removed do-not-load-removed-station-clock.svg.patch
    + Added clock_rewritten.patch
    + Updated README.source accordingly
  * Simplifed debian/install

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 25 Mar 2025 19:38:03 +0100
