=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  zlib1g-dev,
 # Pandoc is for transforming debian/railcontrol.md into a manpage
  pandoc,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://www.railcontrol.org/
 Vcs-Browser: https://salsa.debian.org/fuddl/railcontrol
 Vcs-Git: https://salsa.debian.org/fuddl/railcontrol.git
@@ -17,7 +17,7 @@
 Package: railcontrol
 Architecture: any
 Depends:
- desktop-base,
+ adduser,
  ${shlibs:Depends},
  ${misc:Depends},
 Description: A software for model railway control
