=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 
 # See FEATURE AREAS in dpkg-buildflags(1).
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # See ENVIRONMENT in dpkg-buildflags(1).
 # Package maintainers to append CFLAGS.
@@ -18,12 +18,18 @@
 %:
 	dh $@
 
+execute_before_dh_install:
+	cp railcontrol.conf.dist railcontrol.conf
+
 execute_before_dh_installman:
 	pandoc --standalone --from=markdown --to=man --output=debian/railcontrol.1 debian/railcontrol.md
 
 execute_after_dh_clean:
 	rm -f debian/railcontrol.1
+	rm -f railcontrol.conf
 
 download-missing-sources:
 	curl --output debian/missing-sources/nosleep.js https://raw.githubusercontent.com/richtr/NoSleep.js/v0.12.0/dist/NoSleep.js
 
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start
